## util-linux 2.38.1

=== debian/changelog ===
util-linux (2.38.1-5+deb12u3) bookworm; urgency=medium

  * Fixup upstream patches from 2.38.1-5+deb12u2 so gbp-pq can apply them
  * Use upstream's new --disable-makeinstall-tty-setgid.
    This fixes our wider mitigation for CVE-2024-28085.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Nov 2024 21:01:54 +0100

util-linux (2.38.1-5+deb12u2) bookworm; urgency=medium

  * Add the following upstream patches to identify new Arm cores:
    - 0027-lscpu-Add-Neoverse-V2-Cortex-R82.patch
    - 0028-lscpu-Add-2023-Cortex.patch
    - 0029-lscpu-Add-Neoverse-V3-N3.patch

 -- Emanuele Rocca <ema@debian.org>  Fri, 18 Oct 2024 12:56:02 +0000

util-linux (2.38.1-5+deb12u1) bookworm-security; urgency=medium

  * Add upstream patches to fix CVE-2024-28085 (Closes: #1067849)
  * No longer install wall, write setgid tty to address CVE-2024-28085
  * d/gbp.conf: update for stable release

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Mar 2024 10:52:12 +0100

util-linux (2.38.1-5) unstable; urgency=medium

  * Apply upstream patch to fix logger timestamp for stdin (Closes: #1030285)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 13 Feb 2023 08:48:21 +0000

util-linux (2.38.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Build-Depend on libcrypt-dev explicitly (Closes: #1024794)

  [ Chris Hofstaedtler ]
  * script: abort if unused arguments given (Closes: #1016193)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 25 Nov 2022 15:19:08 +0000

util-linux (2.38.1-3) unstable; urgency=medium

  * Apply "rfkill: (man) List options for supported device types"
    (Closes: #1019007)
  * Apply "lib/pty: Put master PTY into non-blocking mode and buffer its output to avoid deadlock"
    (Closes: #1003095)
  * Gift /var/lib/libuuid to uuid-runtime.  uuidd should be its only user, and
    this should avoid piuparts errors.
  * Remove pre-stable NEWS entries

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 19 Nov 2022 15:48:44 +0000

util-linux (2.38.1-2) unstable; urgency=medium

  * Import upstream patches
    * fsck: Processes may kill other processes.
    * lscpu: Add Kryo 3XX Gold core
    * lscpu: Even more Arm part numbers
    * Remove closing braces in Apple cores names
    * lscpu: (arm) don't use space in names
    * lscpu: add missing Apple parts
    * lscpu: make Apple part names human-friendly
    * Fix formatting.
    * Adding Apple core names, distinguish by SoC/SiP name
    * Add Makalu/Makalu-ELP (A715/X3)
    * lscpu: Add Snapdragon parts
    * sfdisk: inform about failed fsync() [coverity scan]
    * libfdisk: (gpt) don't ignore fsync() errors
    * sfdisk: improve code readability for coverity scan
    * libfdisk: make scripts portable between different sector sizes
    * fdisk: make it more obvious that DOS means MBR
    * fdisk: fix --output option parsing
    * kill: Support mandating the presence of a userspace signal handler
    * lib/procfs: add function to parse /proc/#/stat
    * lsblk: fix endless loop if device specified more than once
    * libuuid: check clock value from LIBUUID_CLOCK_FILE
    * uuidd: fix random UUIDs
    * libuuid: Implement continuous clock handling for time based UUIDs
    * lib/path: ul_path_cpuparse: fix parsing of empty sysfs files
    * libblkid: ntfs: avoid UB in signed shift
    * libblkid: iso9660: allocate enough space for UTF16 decoding
  * Make /var/lib/libuuid writable by uuidd (Closes: #1021657)
  * Add new __uuid_generate_time_cont@UUIDD_PRIVATE symbol

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 16 Nov 2022 10:32:57 +0000

util-linux (2.38.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore /usr/bin/rename.ul per TC decision in #1003653

 -- Matthew Vernon <matthew@debian.org>  Sat, 08 Oct 2022 14:17:31 +0100

util-linux (2.38.1-1) unstable; urgency=medium

  * New upstream release.
    * Rebase patches, drop upstream applied patches
  * uuid-runtime: Quiet adduser warnings.
    Thanks to Diederik de Haas <didi.debian@cknow.org> (Closes: #1016372)
  * d/README.source: fix tarball name in example

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Aug 2022 16:18:17 +0000

util-linux (2.38-6) unstable; urgency=medium

  * autopkgtest: bump oversized-chunk size limit, empty chunks have
    regressed on arm64, armel, armhf. Cf. #785075

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Jul 2022 10:28:10 +0000

util-linux (2.38-5) unstable; urgency=medium

  * Use sensible-pager instead of less by default.
    Adds Recommends: sensible-utils, so sensible-pager is available in
    default installations. (Closes: #1014368)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Jul 2022 09:56:00 +0000
