## util-linux 2.39.1

=== debian/changelog ===
util-linux (2.39.1-4ubuntu2) mantic; urgency=medium

  * Disable brand new feature with --disable-libmount-mountfd-support that
    causes inability to deploy MAAS LP: #2037417

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 05 Oct 2023 22:27:31 +0100

util-linux (2.39.1-4ubuntu1) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Drop this patch, as it has been incorporated
  * skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
    using the Focal kernel (LP: #2030793)
  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 11 Aug 2023 11:39:16 -0600

util-linux (2.39.1-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Update Breaks/Replaces manpages-l10n to << 4.19.0-7~ (Closes: #1042773)
  * Import upstream patches to fix fadvise tests

  [ John David Anglin ]
  * Fix build on hppa (Closes: #1042990)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 11 Aug 2023 18:52:26 +0200

util-linux (2.39.1-3ubuntu1) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Drop this patch, as it has been incorporated
  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 07 Aug 2023 16:32:57 -0600

util-linux (2.39.1-3) unstable; urgency=medium

  * Release to unstable.
    * logger: initialize socket credentials control union (Closes: #1040710)
    * Install localized manpages, previously shipped by manpages-l10n
      (Closes: #1037040)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jul 2023 15:10:52 +0200

util-linux (2.39.1-2) experimental; urgency=medium

  * Install localized manpages
  * Stop hard-depending on util-linux-extra
  * Install new blkpr, fadvise, pipesz, waitpid utilities
  * Fix libmount1 symbols on non-linux
  * Build-Depend on libncurses-dev instead of old libncurses5-dev,
    libncursesw5-dev

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 21 Jul 2023 11:44:22 +0200

util-linux (2.39.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #990243)
    * umount: properly handle special characters in completion
      (Closes: #1011401)
    * fdisk: fix --output option parsing (Closes: #1022249)
    * logger: initialize socket credentials contol union (Closes: #1040710)
    * wall: use fputs_careful() (Closes: #826596)
    * Use non-deprecated chown syntax (Closes: #1007139)
  * Drop upstream patches, refresh Debian-specific patches.
  * Fix fincore test.
  * Update debian/copyright.
  * Build-Depend on po4a, but do not install translated manpages just yet.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Jul 2023 23:12:16 +0200

util-linux (2.38.1-6) unstable; urgency=medium

  * Skip some problematic code for stage1 builds
  * Add upstream patch to fix logger --id
  * Update lintian overrides

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Jul 2023 22:21:57 +0200

util-linux (2.38.1-5ubuntu2) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Add missing ARM cores for NVIDIA Grace (LP: #2019856)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 23 May 2023 15:55:47 -0300

util-linux (2.38.1-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 22 May 2023 09:15:55 -0600

util-linux (2.38.1-4ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1997989)
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 28 Nov 2022 14:39:17 +0100
