=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                libcap-ng-dev [linux-any] <!stage1>,
                libcrypt-dev <!stage1>,
                libcryptsetup-dev [linux-any] <!pkg.util-linux.noverity>,
-               libncurses5-dev,
-               libncursesw5-dev,
+               libncurses-dev,
                libpam0g-dev <!stage1>,
                libreadline-dev,
                libselinux1-dev [linux-any],
@@ -20,13 +19,16 @@
                netbase <!stage1 !nocheck>,
                pkg-config,
                po-debconf,
+               po4a,
                socat <!stage1 !nocheck>,
                systemd [linux-any] <!stage1>,
-               zlib1g-dev
+               zlib1g-dev,
+               libaudit-dev
 Build-Conflicts: libedit-dev
 Section: base
 Priority: required
-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>
 Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
@@ -41,11 +43,11 @@
 Essential: yes
 Pre-Depends: ${misc:Pre-Depends},
              ${shlibs:Depends}
-Depends: util-linux-extra,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: sensible-utils
 Suggests: dosfstools,
           kbd,
+          util-linux-extra,
           util-linux-locales
 Provides: hardlink
 Conflicts: hardlink
@@ -65,13 +67,50 @@
 Priority: optional
 Depends: util-linux (>= ${source:Upstream-Version}),
          ${misc:Depends}
+Breaks: manpages-cs (<< 4.19.0-7~),
+        manpages-da (<< 4.19.0-7~),
+        manpages-de (<< 4.19.0-7~),
+        manpages-de-dev (<< 4.19.0-7~),
+        manpages-es (<< 4.19.0-7~),
+        manpages-fi (<< 4.19.0-7~),
+        manpages-fr (<< 4.19.0-7~),
+        manpages-fr-dev (<< 4.19.0-7~),
+        manpages-hu (<< 4.19.0-7~),
+        manpages-id (<< 4.19.0-7~),
+        manpages-it (<< 4.19.0-7~),
+        manpages-nl (<< 4.19.0-7~),
+        manpages-pl (<< 4.19.0-7~),
+        manpages-ro (<< 4.19.0-7~),
+        manpages-ro-dev (<< 4.19.0-7~),
+        manpages-sr (<< 4.19.0-7~),
+        manpages-uk (<< 4.19.0-7~),
+        manpages-uk-dev (<< 4.19.0-7~)
+Replaces: manpages-cs (<< 4.19.0-7~),
+          manpages-da (<< 4.19.0-7~),
+          manpages-de (<< 4.19.0-7~),
+          manpages-de-dev (<< 4.19.0-7~),
+          manpages-es (<< 4.19.0-7~),
+          manpages-fi (<< 4.19.0-7~),
+          manpages-fr (<< 4.19.0-7~),
+          manpages-fr-dev (<< 4.19.0-7~),
+          manpages-hu (<< 4.19.0-7~),
+          manpages-id (<< 4.19.0-7~),
+          manpages-it (<< 4.19.0-7~),
+          manpages-nl (<< 4.19.0-7~),
+          manpages-pl (<< 4.19.0-7~),
+          manpages-ro (<< 4.19.0-7~),
+          manpages-ro-dev (<< 4.19.0-7~),
+          manpages-sr (<< 4.19.0-7~),
+          manpages-uk (<< 4.19.0-7~),
+          manpages-uk-dev (<< 4.19.0-7~)
 Multi-Arch: foreign
 Description: locales files for util-linux
  This package contains the internationalization files for the util-linux
  package.
  .
  They are needed when you want the programs in util-linux to print their
- messages in other languages than English.
+ messages in other languages than English, or read manual pages in another
+ language than English.
 
 Package: mount
 Architecture: linux-any
@@ -331,42 +370,3 @@
 Recommends: uuid-runtime
 Multi-Arch: same
 Description: Universally Unique ID library
- The libuuid library generates and parses 128-bit Universally Unique
- IDs (UUIDs). A UUID is an identifier that is unique within the space
- of all such identifiers across both space and time. It can be used for
- multiple purposes, from tagging objects with an extremely short lifetime
- to reliably identifying very persistent objects across a network.
- .
- See RFC 4122 for more information.
-
-Package: uuid-runtime
-Architecture: any
-Build-Profiles: <!stage1>
-Section: utils
-Priority: optional
-Pre-Depends: libuuid1,
-             ${misc:Pre-Depends}
-Depends: adduser,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: foreign
-Description: runtime components for the Universally Unique ID library
- The libuuid library generates and parses 128-bit Universally Unique
- IDs (UUIDs). A UUID is an identifier that is unique within the space
- of all such identifiers across both space and time. It can be used for
- multiple purposes, from tagging objects with an extremely short lifetime
- to reliably identifying very persistent objects across a network.
- .
- See RFC 4122 for more information.
- .
- This package contains the uuidgen program and the uuidd daemon.
- .
- The uuidd daemon is used to generate UUIDs, especially time-based
- UUIDs, in a secure and guaranteed-unique fashion, even in the face of
- large numbers of threads trying to grab UUIDs running on different CPUs.
- It is used by libuuid as well as the uuidgen program.
-
-Package: libuuid1-udeb
-Architecture: any
-Section: debian-installer
-Priority: optional
