=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,12 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
+
+# Currently causes catastrophic failure with our overlayroot tpmfs,
+# deleted lower setup as created by overlayroot / cloud-initrd as used
+# by MAAS LP: #2037417
+CONFOPTS += --disable-libmount-mountfd-support
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
@@ -45,9 +51,6 @@
 # Keep hwclock as GPLv2 (and others)
 CONFOPTS += --disable-hwclock-gplv3
 
-# Reduce setgid programs (cf. CVE-2024-28085)
-CONFOPTS += --disable-makeinstall-tty-setgid
-
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
 # bash-completions below.
@@ -67,14 +70,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	# Manually generate and install units to avoid missing files when
-	# util-linux.install gets executed in stage1 builds.
-	install -d debian/tmp/lib/systemd/system
-	make PATHFILES=sys-utils/fstrim.service sys-utils/fstrim.service
-	install -m644 sys-utils/fstrim.service debian/tmp/lib/systemd/system/fstrim.service
-	install -m644 sys-utils/fstrim.timer debian/tmp/lib/systemd/system/fstrim.timer
-endif
 	#
 	# remove *.la files
 	rm -f debian/tmp/usr/lib/*/*.la
@@ -90,6 +85,7 @@
 		debian/util-linux.install.$(DEB_HOST_ARCH)
 
 override_dh_install:
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	# generate arch-override, as dh-exec install-rename can only run once.
 	[ -f debian/util-linux.install.$(DEB_HOST_ARCH) ] || \
 		debian/util-linux.install > \
@@ -97,6 +93,7 @@
 	[ -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) ] || \
 		debian/uuid-runtime.install > \
 		debian/uuid-runtime.install.$(DEB_HOST_ARCH)
+endif
 	#
 	install -D -p -m644 debian/fdisk-udeb.lintian-overrides \
 		debian/fdisk-udeb/usr/share/lintian/overrides/fdisk-udeb
@@ -146,15 +143,15 @@
 ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
 	dh_installinit --package=util-linux-extra --name=hwclock.sh --no-start
-	# install /etc/default/hwclock
-	dh_installinit --package=util-linux-extra --name=hwclock
 endif
 endif
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	# install uuidd sysvinit script
 	make misc-utils/uuidd.rc
 	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
 	dh_installinit --name=uuidd --restart-after-upgrade
 	rm -f debian/uuid-runtime.uuidd.init
+endif
 
 override_dh_installpam:
 	dh_installpam --package=util-linux --name=runuser
